{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.delete=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'CaseLabel.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 120,filter:'single',alias:'cl',operator:'='},
                    {header: "{{ 'CaseLabel.opname'|trans }}", dataIndex: 'opname', width: 200,filter:'single',alias:'tl',operator:'='},
                    {header: "{{ 'CaseLabel.time'|trans }}", dataIndex: 'time', width: 120}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseLabel.erprefnumber'|trans }}",
                        dataIndex: 'erprefnumber',
                        maxLength: 50,
                        labelWidth : '120px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'CaseLabel.opname'|trans }}",
                        dataIndex: 'opname',
                        maxLength: 50,
                        labelWidth : '120px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textArea({
                        title : "{{ 'CaseLabel.canceldescription'|trans }}",
                        dataIndex : 'canceldescription',
                        labelWidth : '120px',
                        width:300,
                        height:80,
                        maxLength: 255
                    })
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
